<?php
/**
 * Setup Scraper Component
 *
 * @package Nisje
 */

namespace Dekode\Nisje\Components;

defined( 'ABSPATH' ) || die( 'Shame on you' );

/**
 * Scraper Component Class
 */
class Scraper extends Component {
	/**
	 * Constructor
	 */
	public function __construct() {
		parent::start(
			'scraper',
			__( 'Scraper', 'nisje' )
		);
	}

	/**
	 * Register REST Endpoints
	 */
	public function register_rest_routes() {
		nisje_include( 'includes/components/scraper/rest-handlers/extend-settings.php' );
		nisje_include( 'includes/components/scraper/rest-handlers/class-scraper-controller.php' );

		$controller = new \Dekode\Nisje\Components\Rest\Scraper_Controller();
		$controller->register_routes();
	}
}
